Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers \ --header 'Authorization: Bearer <token>'
import requests url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/customers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "message": "<string>", "success": true, "content": { "customers": [ { "id": "<string>", "is_phone_verified": true, "is_email_verified": true, "is_whatsapp_verified": true, "created_at": "2023-11-07T05:31:56Z", "modified_at": "2023-11-07T05:31:56Z", "last_seen": "<string>", "kyc_status": "pending", "is_verified": true, "customer_group_id": "<string>", "tags": [ "<string>" ], "business": { "name": "<string>", "business_type": "<string>", "pan_number": "<string>", "gstin": "<string>", "is_registered_under_gst": true }, "segments": [ { "id": "<string>", "name": "<string>" } ], "address": { "id": "<string>", "first_name": "<string>", "last_name": "<string>", "country_code": "<string>", "phone": "<string>", "email": "<string>", "address_line1": "<string>", "address_line2": "<string>", "landmark": "<string>", "pincode": "<string>", "city": "<string>", "state": "<string>", "country": "<string>", "gstin": "<string>", "business_name": "<string>", "is_phone_verified": true, "is_email_verified": true, "is_default_shipping": true, "is_default_billing": true, "created_at": "2023-11-07T05:31:56Z", "modified_at": "2023-11-07T05:31:56Z", "is_primary": true }, "metadata": {}, "first_name": "<string>", "last_name": "<string>", "full_name": "<string>", "profile_image_url": "<string>", "country_code": "<string>", "phone": "<string>", "email": "<string>", "status": "active", "user_id": "<string>" } ], "pagination": { "total_records": 123, "total_pages": 123, "previous_page": 123, "limit": 25, "next_page": 123 } } }
{ "message": "<string>", "success": true, "code": "<string>", "errors": {}, "content": {}, "details": "<string>" }
{ "message": "<string>", "success": true, "code": "<string>", "details": "<string>" }
{ "code": "<string>", "message": "<string>", "success": true, "details": "<string>" }
{ "message": "<string>", "success": true, "code": "<string>", "details": "<string>", "error_id": "<string>" }
Access token
Page number, starting at 1. Non-integer values and values below 1 return 400.
x >= 1
Results per page. Values outside 1–100 are clamped to that range. Non-integer input returns 400.
1 <= x <= 100
JSON object
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
search keyword
Filter by business name.
Filter by business type.
Filter by contact email.
Filter by contact phone.
Filter by created at.
Filter by customer email.
Filter by customer group id.
Filter by customer phone.
Filter by gstin.
Filter by inbound bank account id.
Filter by is email verified.
Filter by is phone verified.
Filter by is registered under gst.
Filter by is verified.
Filter by is whatsapp verified.
Filter by kyc status.
Filter by metadata.
Filter by modified at.
Filter by outbound bank account id.
Filter by pan number.
Filter by primary address id.
Filter by store id.
Filter by tags.
Filter by tax identification number.
Filter by one or more customer IDs, separated by commas.
OK
Show child attributes
Was this page helpful?